Package: groovy.org.codenarc.rule.size

## [Groovy] Class NestedBlockDepthAstVisitor

- groovy.org.codenarc.rule.size.NestedBlockDepthAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitBlockStatement(org.codehaus.groovy.ast.stmt.BlockStatement block)`
    `` | `void` | `visitCaseStatement(org.codehaus.groovy.ast.stmt.CaseStatement statement)`
    `` | `void` | `visitCatchStatement(org.codehaus.groovy.ast.stmt.CatchStatement statement)`
    `` | `void` | `visitClassEx(org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `void` | `visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression expression)`
    `` | `void` | `visitForLoop(org.codehaus.groovy.ast.stmt.ForStatement forStatement)`
    `` | `void` | `visitIfElse(org.codehaus.groovy.ast.stmt.IfStatement ifStatement)`
    `` | `void` | `visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)`
    `` | `void` | `visitSynchronizedStatement(org.codehaus.groovy.ast.stmt.SynchronizedStatement statement)`
    `` | `void` | `visitTryCatchFinally(org.codehaus.groovy.ast.stmt.TryCatchStatement tryCatchStatement)`
    `` | `void` | `visitWhileLoop(org.codehaus.groovy.ast.stmt.WhileStatement whileStatement)`

- - ### Method Detail

    - #### void visitBlockStatement(org.codehaus.groovy.ast.stmt.BlockStatement block)

    - #### void visitCaseStatement(org.codehaus.groovy.ast.stmt.CaseStatement statement)

    - #### void visitCatchStatement(org.codehaus.groovy.ast.stmt.CatchStatement statement)

    - #### void visitClassEx(org.codehaus.groovy.ast.ClassNode classNode)

    - #### void visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression expression)

    - #### void visitForLoop(org.codehaus.groovy.ast.stmt.ForStatement forStatement)

    - #### void visitIfElse(org.codehaus.groovy.ast.stmt.IfStatement ifStatement)

    - #### @Override void visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)

    - #### void visitSynchronizedStatement(org.codehaus.groovy.ast.stmt.SynchronizedStatement statement)

    - #### void visitTryCatchFinally(org.codehaus.groovy.ast.stmt.TryCatchStatement tryCatchStatement)

    - #### void visitWhileLoop(org.codehaus.groovy.ast.stmt.WhileStatement whileStatement)